package com.example.serviciomusica;

import androidx.appcompat.app.AppCompatActivity;

import android.app.Service;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.os.IBinder;
import android.view.View;
import android.widget.Toast;

import com.example.serviciomusica.databinding.ActivityMainBinding;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    private ActivityMainBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        binding = ActivityMainBinding.inflate(getLayoutInflater());
        View view = binding.getRoot();
        setContentView(view);

        binding.botonIniciar.setOnClickListener(this);
        binding.botonParar.setOnClickListener(this);
    }


    @Override
    public void onClick(View v) {

        if (v == binding.botonIniciar) {
            startService( new Intent(MainActivity.this, MusicService.class));
        }

        if (v == binding.botonParar) {
            stopService( new Intent(MainActivity.this, MusicService.class));
        }
    }

}