package com.example.serviciomusica;

import android.app.Service;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.IBinder;
import android.widget.Toast;

public class MusicService extends Service {

    MediaPlayer reproductor;

    public void mostrarMensaje(String mensaje) {
        Toast.makeText(this,mensaje, Toast.LENGTH_SHORT).show();
    }

    public MusicService() {

    }

    @Override

    public void onCreate() {

        mostrarMensaje("Servicio creado");

        reproductor = MediaPlayer.create(this, R.raw.audio);
    }

    @Override

    public int onStartCommand(Intent intenc, int flags, int idArranque) {

        mostrarMensaje("Servicio arrancado");

        reproductor.start();

        return START_STICKY;
    }

    @Override

    public void onDestroy() {

        mostrarMensaje("Servicio detenido");

        reproductor.stop();
    }

    @Override
    public IBinder onBind(Intent intent) {
        // TODO: Return the communication channel to the service.
        throw new UnsupportedOperationException("Not yet implemented");
    }
}